ARG VERSION=2.4.57-24.1

FROM dcm4che/slapd-dcm4chee:${VERSION}

RUN apk --no-cache --update add openldap-overlay-memberof openldap-overlay-refint

# Ensure there are no multi-line DNs, which will prevent substitution of base DN
RUN sed -i -n 'H; ${ x; s/\n//; s/\n //g; p}' /etc/openldap/data/default-ui-config.ldif

ENV LDAP_BASE_DN="dc=example,dc=com" \
    LDAP_INIT_SCHEMA="dicom.ldif dcm4che.ldif dcm4chee-archive.ldif dcm4chee-archive-ui.ldif cfmm/msad.ldif cfmm/indices.ldif cfmm/memberof.ldif cfmm/mgmt.ldif" \
    LDAP_INIT_USERS="default-users.ldif cfmm/users.ldif cfmm/dcm4chee-arc/users.ldif" \
    LDAP_INIT_CONFIG="default-config.ldif add-vendor-data.ldif default-ui-config.ldif cfmm/dcm4chee-arc/config.ldif cfmm/dcm4chee-arc/ui.ldif cfmm/dcm4chee-arc/web-app.ldif cfmm/dcm4chee-arc/ae-titles.ldif cfmm/dcm4chee-arc/access-control.ldif"

COPY openldap /etc/openldap

EXPOSE 636/tcp
